/**
 * \file
 * \author Alexey L. Voskov (alvoskov@gmail.com)
 * \copyright (C) 2016 Alexey L. Voskov
 *
 * Laboratory of Chemical Thermodynamics, Department of Chemistry,
 *
 * Lomonosov Moscow State University, Moscow, Russia, 119991
 *
 * This file is the part of the CpFit program
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/);
 */

#include "wx/wx.h"
#include "wx/grid.h"
#include "misc.h"


/**
 * \brief  Resizes wxGrid columns
 */
void ResizeWxGridCols(wxGrid *obj)
{
	// Check validity of input argument
	if (obj == NULL) {
		return;
	}
	// Resize columns inside grPar table
	int rowLblWidth = obj->GetRowLabelSize();
	int colNum = obj->GetNumberCols();
	if (colNum == 0) {
		return;
	}
	int colSize = (obj->GetSize().x - rowLblWidth - 30) / colNum;
	if (colSize < 40) {
		colSize = 40;
	}
	for (int i = 0; i < colNum; i++) {
		obj->SetColSize(i, colSize);
	}
}
 